import * as React from 'react';
import { IDefaultProps } from "../index";
export declare type VariantType = "standard" | "filled" | "outlined";
export declare type Props = {
    type: string;
    variant: VariantType;
    minutesStep: number;
    fullWidth: boolean;
    defaultValue?: string;
    label?: string;
    required?: boolean;
    onChange?: (value: string, id: string) => void;
    validateFunction?: (value: string) => string | null;
};
export declare type State = {
    selectedDate?: any;
    errorText?: string;
};
export default class DateComponent extends React.Component<IDefaultProps & Props, State> {
    static defaultProps: {
        variant: string;
        minutesStep: number;
        fullWidth: boolean;
    };
    constructor(props: any);
    getValue(): any;
    getISOValue(): any;
    getFormattedValue(format?: string): any;
    getISODate(date: any): any;
    handleDateChange(date: any): void;
    validate(): boolean;
    render(): JSX.Element;
}
