import * as React from 'react';
import BaseAppBar from "../../util/BaseAppBar";
export declare type SnackBarType = "error" | "warning" | "info" | "success";
interface IState {
    loading: boolean;
    appBar: BaseAppBar;
    appBarParams?: any;
    snackBarOpen: boolean;
    snackBarMessage?: string;
    snackBarType?: SnackBarType;
    alertTitle?: string;
    alertMessage?: string;
    alertCallback?: (param: any) => void;
}
export default function base(WrappedComponent: any, AppBar?: any): {
    new (props: any): {
        alertDialog: React.RefObject<any>;
        handleClose: (event: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends "loading" | "appBar" | "appBarParams" | "snackBarOpen" | "snackBarMessage" | "snackBarType" | "alertTitle" | "alertMessage" | "alertCallback">(state: IState | ((prevState: Readonly<IState>, props: Readonly<{}>) => IState | Pick<IState, K>) | Pick<IState, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<{}> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<IState>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<{}>, nextState: Readonly<IState>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{}>, prevState: Readonly<IState>): any;
        componentDidUpdate?(prevProps: Readonly<{}>, prevState: Readonly<IState>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{}>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{}>, nextState: Readonly<IState>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{}>, nextState: Readonly<IState>, nextContext: any): void;
    };
    contextType?: React.Context<any>;
};
export {};
