import * as React from 'react';
export declare type Props = {
    title?: string;
    actionTitle?: string;
    actionCallback?: (arg1: any) => void;
    maxWidth: false | "xs" | "sm" | "md" | "lg" | "xl";
};
export declare type State = {
    open: boolean;
    param?: any;
    saveFunction?: any;
    alertTitle?: string;
    alertMessage?: string;
    alertCallback?: (param: any) => void;
};
export default function dialog(WrappedComponent: any): {
    new (props: Props): {
        alertDialog: React.RefObject<any>;
        open(param?: any): void;
        handleClose(): void;
        handleSave(): void;
        render(): JSX.Element;
        context: any;
        setState<K extends "param" | "open" | "saveFunction" | "alertTitle" | "alertMessage" | "alertCallback">(state: State | ((prevState: Readonly<State>, props: Readonly<Props>) => State | Pick<State, K>) | Pick<State, K>, callback?: () => void): void;
        forceUpdate(callback?: () => void): void;
        readonly props: Readonly<Props> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<State>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Props>, prevState: Readonly<State>): any;
        componentDidUpdate?(prevProps: Readonly<Props>, prevState: Readonly<State>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Props>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Props>, nextState: Readonly<State>, nextContext: any): void;
    };
    defaultProps: {
        maxWidth: string;
    };
    contextType?: React.Context<any>;
};
