import * as React from 'react';
import { IDefaultProps } from "../index";
import { VariantType } from "./TextComponent";
export declare type Props = {
    label?: string;
    inputType?: string;
    variant: VariantType;
    options: Array<any>;
    selectFieldStyle?: any;
    multiple?: boolean;
    showLabel?: boolean;
    value?: any;
    placeholder?: string;
    fullWidth?: boolean;
    required?: boolean;
    disabled?: boolean;
    disableUnderline?: boolean;
    onChange?: (value: any, id: string) => void;
    validateFunction?: (value: string) => string | null;
};
export declare type State = {
    value?: any;
    errorText?: string;
};
export default class SelectComponent extends React.Component<IDefaultProps & Props, State> {
    static defaultProps: {
        variant: string;
        selectFieldStyle: {
            width: string;
        };
        multiple: boolean;
        showLabel: boolean;
        placeholder: string;
        fullWidth: boolean;
        disableUnderline: boolean;
    };
    constructor(props: any);
    componentWillReceiveProps(nextProps: any): void;
    handleChange(event: any): void;
    getValue(): any;
    getLabel(selected: any): string;
    setErrorText(errorText: string): void;
    validate(): boolean;
    renderSelectField: () => JSX.Element;
    render(): JSX.Element;
}
