import * as React from 'react';
import { IDefaultProps } from "../index";
export declare type Props = {
    key?: string;
    headers: string[];
    uniqueId: string;
    rows: any[];
    getRow: (arg1: any) => any[];
    searchEnabled?: boolean;
    selectable?: boolean;
    resultsPerPage?: number;
    displayShowCheckbox?: boolean;
    headerRowContentLeft?: any;
    headerRowContent?: any;
    footerRowContent?: any;
    fitToContent?: boolean;
    bottomDetailText?: string;
    overflowColumns?: string[];
    showTotals?: boolean;
    onRowSelection?: any;
    selection?: any;
};
export declare type State = {
    currentPage: number;
    resultsPerPage: number;
    totalPages: number;
    boundaryPagesRange: number;
    siblingPagesRange: number;
    hidePreviousAndNextPageLinks: boolean;
    hideFirstAndLastPageLinks: boolean;
    hideEllipsis: boolean;
    rowsForCurrentPage: any[];
    searchTerm: string;
    selectedIndex?: number;
    dense: boolean;
};
export default class TableComponent extends React.PureComponent<IDefaultProps & Props, State> {
    static defaultProps: {
        key: string;
        displayShowCheckbox: boolean;
        uniqueId: string;
        selectable: boolean;
        resultsPerPage: number;
        searchEnabled: boolean;
        fitToContent: boolean;
        bottomDetailText: string;
        showTotals: boolean;
    };
    constructor(props: any);
    onRowSelection(selectedRows: any[]): void;
    getSelectedIndex(): number | undefined;
    onSearchChanged(value: string, id: string): void;
    applySearch(rows: Array<any>): any[];
    handleChangePage: (event: any, page: any) => void;
    handleChangeRowsPerPage: (event: any) => void;
    render(): JSX.Element;
}
