import * as React from 'react';
import { IDefaultProps } from "../index";
export declare type TextType = 'text' | 'number' | 'email' | 'password';
export declare type VariantType = "standard" | "filled" | "outlined";
export declare type SizeType = 'small' | 'medium';
export declare type Props = {
    label?: any;
    placeholder?: string;
    value?: any;
    adornment?: string;
    maxLength: number;
    type?: string;
    size: SizeType;
    variant: VariantType;
    required?: boolean;
    disabled?: boolean;
    multiline?: boolean;
    fullWidth?: boolean;
    onChange?: (value: string, id: string) => void;
    submitFunction?: (event: any) => void | Promise<void>;
    validateFunction?: (value: string) => string | null;
};
export declare type State = {
    value?: string;
    errorText?: string;
};
export default class TextFieldComponent extends React.Component<IDefaultProps & Props, State> {
    static defaultProps: {
        maxLength: number;
        variant: string;
        size: string;
        required: boolean;
        disabled: boolean;
        multiline: boolean;
        fullWidth: boolean;
    };
    constructor(props: any);
    componentWillReceiveProps(nextProps: any): void;
    handleUpdate: (event: any) => void;
    onKeyPress: (event: any) => void;
    getValue(): string;
    setValue(value: string): void;
    validate(): boolean;
    isRequired(): boolean;
    render(): JSX.Element;
}
