/// <reference types="react" />
import AppBarComponent from './components/AppBarComponent';
import ButtonComponent from './components/ButtonComponent';
import DateComponent from './components/DateComponent';
import DrawerComponent from './components/DrawerComponent';
import ListComponent from './components/ListComponent';
import SelectComponent from './components/SelectComponent';
import TableComponent from './components/TableComponent';
import TabComponent from './components/TabComponent';
import TextComponent from './components/TextComponent';
import MenuButtonComponent from './components/MenuButtonComponent';
import PaperComponent from './components/PaperComponent';
import PopoverComponent from './components/PopoverComponent';
import IconButtonComponent from './components/IconButtonComponent';
import LinkComponent from './components/LinkComponent';
import SwitchComponent from './components/SwitchComponent';
import AlertDialog from './components/dialog/AlertDialog';
import ErrorBoundary from './container/ErrorBoundary';
import BaseDataAccess from './data/BaseDataAccess';
import EventBus from './data/EventBus';
import ArrayUtil from './util/ArrayUtil';
import ColorUtil from './util/ColorUtil';
import BaseColor from './util/BaseColor';
import BaseConstants from './util/BaseConstants';
import BaseIcon from './util/BaseIcon';
import Http from './networking/Http';
import File from './util/File';
import Style from './style/Style';
import Theme from './style/Theme';
import Render from './util/Render';
import Route from './util/Route';
import StringUtil from './util/StringUtil';
import Notification from './util/Notification';
import LocalCache from './util/LocalCache';
import BaseAppBar from './util/BaseAppBar';
import DateUtil from './util/DateUtil';
import DialogUtil from './util/DialogUtil';
import IpAddress from './util/IpAddress';
import SelectItem from './util/SelectItem';
import ComponentBinding from './util/ComponentBinding';
import ComponentFactory from './util/ComponentFactory';
import ComponentUtil from './util/ComponentUtil';
import P from './util/P';
import Validater from './util/Validater';
import base from './components/HOC/base';
import dialog from './components/HOC/dialog';
import Analytics from './util/Analytics';
import FormatUtil from './util/FormatUtil';
import Palette from './style/Palette';
import PaletteOptions from './style/Palette';
import { Box } from "./components/StyledComponents";
export interface IBoxProps {
    center?: boolean;
    right?: boolean;
    left?: boolean;
    bottom?: boolean;
    background?: string;
    fullHeight?: boolean;
    fullWidth?: boolean;
    pad?: boolean;
    width?: string;
    marginLeft?: string;
    marginRight?: string;
    marginTop?: string;
    marginBottom?: string;
}
export interface IDefaultProps {
    id?: string;
    style?: any;
    className?: any;
    children?: any;
}
export interface IBaseProps {
    base: Base;
}
export interface IBaseDialogProps {
    dialog: Dialog;
    param?: any;
}
export interface IBoxProps {
    center?: boolean;
    right?: boolean;
    left?: boolean;
    bottom?: boolean;
    background?: string;
    fullHeight?: boolean;
    fullWidth?: boolean;
    pad?: boolean;
    width?: string;
    marginLeft?: string;
    marginRight?: string;
    marginTop?: string;
    marginBottom?: string;
}
export declare type Base = {
    wait: () => void;
    done: () => void;
    notify: (message: string, type?: string) => void;
    alert: (title: string, message: string, callback: (param: any) => void, param: any) => void;
};
export declare type Dialog = {
    saveFunction: (callback: any) => void;
    alert: (title: string, message: string, callback: (param: any) => void, param: any) => void;
};
export { AppBarComponent, Box, ButtonComponent, DateComponent, DrawerComponent, IconButtonComponent, LinkComponent, ListComponent, MenuButtonComponent, PaperComponent, PopoverComponent, SelectComponent, SwitchComponent, TableComponent, TabComponent, TextComponent, AlertDialog, base, dialog, ErrorBoundary, BaseDataAccess, EventBus, Style, Palette, Theme, Http, Analytics, ArrayUtil, BaseAppBar, BaseColor, BaseConstants, BaseIcon, ComponentBinding, ComponentFactory, ComponentUtil, ColorUtil, DateUtil, DialogUtil, File, FormatUtil, IpAddress, LocalCache, Notification, P, Render, Route, SelectItem, StringUtil, Validater, PaletteOptions };
declare const _default: {
    AppBarComponent: typeof AppBarComponent;
    ButtonComponent: typeof ButtonComponent;
    Box: import("react").FunctionComponent<IBoxProps>;
    DateComponent: typeof DateComponent;
    DrawerComponent: typeof DrawerComponent;
    IconButtonComponent: typeof IconButtonComponent;
    ListComponent: typeof ListComponent;
    LinkComponent: typeof LinkComponent;
    MenuButtonComponent: typeof MenuButtonComponent;
    PaperComponent: typeof PaperComponent;
    PopoverComponent: typeof PopoverComponent;
    SelectComponent: typeof SelectComponent;
    SwitchComponent: typeof SwitchComponent;
    TableComponent: typeof TableComponent;
    TabComponent: typeof TabComponent;
    TextComponent: typeof TextComponent;
    AlertDialog: typeof AlertDialog;
    base: typeof base;
    dialog: typeof dialog;
    ErrorBoundary: typeof ErrorBoundary;
    BaseDataAccess: typeof BaseDataAccess;
    EventBus: typeof EventBus;
    Style: typeof Style;
    Palette: typeof Palette;
    Theme: typeof Theme;
    Http: typeof Http;
    ArrayUtil: typeof ArrayUtil;
    BaseAppBar: typeof BaseAppBar;
    BaseColor: typeof BaseColor;
    BaseConstants: typeof BaseConstants;
    BaseIcon: typeof BaseIcon;
    ComponentBinding: typeof ComponentBinding;
    ComponentFactory: typeof ComponentFactory;
    ComponentUtil: typeof ComponentUtil;
    ColorUtil: typeof ColorUtil;
    DateUtil: typeof DateUtil;
    DialogUtil: typeof DialogUtil;
    File: typeof File;
    FormatUtil: typeof FormatUtil;
    IpAddress: typeof IpAddress;
    LocalCache: typeof LocalCache;
    Notification: typeof Notification;
    P: typeof P;
    Render: typeof Render;
    Route: typeof Route;
    SelectItem: typeof SelectItem;
    String: StringConstructor;
    Validater: typeof Validater;
    PaletteOptions: typeof Palette;
};
export default _default;
