export default class ArrayUtil {
    static addItem<T>(item: T, list: Array<T>): void;
    static addItems<T>(items: Array<T>, list: Array<T>): void;
    static getItems<T>(list: Array<T>, keys: string, id: any, negate?: boolean): Array<T>;
    static getItem(list: Array<any>, key: string, id: any): any;
    static count(list: Array<any>, key: string, id: any): number;
    static sum(list: Array<any>, key: string): number;
    static deleteItem<T>(item: T, list: Array<T>): void;
    static deleteItemByKey(item: any, key: string, list: Array<any>): void;
    static filter<T>(list: Array<T>, filterFunction: (T: any) => boolean): T[];
    static sort(list: Array<any>, sortString?: string, reverse?: boolean): void;
    static sortForInt(list: Array<any>, sortString: string, reverse?: boolean): void;
    static sortInt(list: Array<number>): void;
    static sortWithFunction<T>(list: Array<T>, sortFunction: (T: any, U: any) => number): void;
    static contains<T>(fullList: Array<T>, item: T): boolean;
    static containsProperty<T>(fullList: Array<T>, key: any, id: any): boolean;
    static containsAll<T>(fullList: Array<T>, items: Array<T>): boolean;
}
