import ComponentBinding from "./ComponentBinding";
import { RefObject } from "react";
import SelectItem from "./SelectItem";
export declare type DateType = "date" | "time" | "datetime";
export declare type ElementType = 'div' | 'span' | 'h1' | 'h2';
export default class ComponentFactory {
    private DEFAULT_BINDING;
    private componentBindings;
    private handleUpdateCallback;
    private defaultStyles;
    constructor(defaultStyles: object);
    setHandleUpdateCallback(callback: (value: any, key: string) => void): void;
    createOptions(data: Array<any>, id?: string, label?: string): Array<SelectItem>;
    addDefaultBinding(dataManager: any, saveFunction: string, item: object): void;
    addNamedBinding(key: string, dataManager: any, saveFunction: string, item: object): void;
    getDefaultBinding(): ComponentBinding;
    getNamedBinding(key: string): ComponentBinding;
    handleChanged(bindingKey: string, value: any, key: string): void;
    renderBox(children: any): JSX.Element;
    renderBoxProps(properties: any, children: any | Array<any>): JSX.Element;
    renderBoxPadded(children: any): JSX.Element;
    renderHorizontalLayout(layouts: Array<any>, widths?: Array<string>): JSX.Element;
    renderRightLeftLayout(left: any, right: any): JSX.Element;
    renderSizedColumns(size: "three-quarters" | "two-thirds" | "half" | "one-third" | "one-quarter" | "one-fifth", children1: any | Array<any>, children2: any | Array<any>): JSX.Element;
    renderDialogProps(title: string, actionButtonLabel: string, actionCallback: (item: any) => void, ref: any, width?: false | "xs" | "sm" | "md" | "lg" | "xl"): {
        title: string;
        actionTitle: string;
        actionCallback: (item: any) => void;
        ref: any;
        maxWidth: "xs" | "sm" | "md" | "lg" | "xl";
    };
    renderPaper(children: any, props?: any): JSX.Element;
    renderPopover(children: any, componentRef: RefObject<any>, title: string): JSX.Element;
    renderDrawer(variant: 'permanent' | 'persistent' | 'temporary', open: boolean, anchor: 'left' | 'top' | 'right' | 'bottom', children: any): JSX.Element;
    renderMenuButton(labels: Array<string>, onTouchTap: (index: number) => void, icon: string, params?: any): JSX.Element;
    renderButton(title: string, callback: (e: any) => void, params?: object): JSX.Element;
    renderIconButton(icon: string, callback: (e: any) => void, tooltip?: string, params?: any): JSX.Element;
    renderUploadButton(title: string, uploadAccept: string, callback: (e: any) => void, params?: object): JSX.Element;
    renderLabel(label: string, element: ElementType, style?: any, className?: string): JSX.Element;
    renderImage(src: any, style: any): JSX.Element;
    renderTextField(id: string, label: string, componentRef?: RefObject<any>, bindingKey?: string, params?: object): JSX.Element;
    renderSelectField(id: string, label: string, options: Array<SelectItem>, componentRef?: RefObject<any>, bindingKey?: string, params?: object): JSX.Element;
    renderDateField(id: string, label: string, dateType: DateType, componentRef?: RefObject<any>, bindingKey?: string, params?: object): JSX.Element;
    renderCheckbox(isChecked: boolean, callback?: (e: any) => void, params?: object): JSX.Element;
    renderSwitchField(id: string, label: string, componentRef?: RefObject<any>, bindingKey?: string, params?: object): JSX.Element;
    renderTabs(headers: Array<string>, components: any, params?: object): JSX.Element;
    renderList(headers: Array<string>, onTouchTap: (index: number) => void): JSX.Element;
    renderTable(headers: Array<string>, items: Array<any>, renderRow: (item: any) => Array<any>, params?: any): JSX.Element;
    renderTableWithSelection(headers: Array<string>, items: Array<any>, renderRow: (item: any) => Array<any>, rowSelection: (item: any, data: any) => void, params?: any): JSX.Element;
    renderTableWithActions(headers: Array<string>, items: Array<any>, renderRow: (item: any) => Array<any>, headerRowContent: any | Array<any>, params?: any): JSX.Element;
    renderTableWithNew(headers: Array<string>, items: Array<any>, renderRow: (item: any) => Array<any>, newDialog?: RefObject<any>, param?: any): JSX.Element;
    renderEditDeleteButtons(editFunction?: any, deleteFunction?: any): JSX.Element;
    renderLine(): JSX.Element;
    renderSaveBanner(saveCallback: (event: any) => void | Promise<void>): JSX.Element;
    renderHeader(title: string, actionContent?: any): JSX.Element;
}
